#!/bin/sh
if [ -f "/etc/hvac.conf" ]; then
. /etc/hvac.conf
else
echo "/etc/hvac.conf not found"
exit 1
fi
CONFFILE_OW="/var/run/ow.conf"
if [ -f $CONFFILE_OW ]; then
. $CONFFILE_OW
else
echo "$CONFFILE_OW not found"
exit 1
fi
mkdir -p $HVAC_DIR
JAHR=`date +%y`
DATUM=`date +%d.%m.%y`
ZEIT=`date +%H:%M`
LOGFILE=$HVAC_DIR/hvac-$JAHR.log
if ! [ -f $LOGFILE ]; then
{
ERSTELLT=`date +%d.%m.%Y%t%T`
echo "#----------------------------------------------------------------" 
echo "# Logfile: $LOGFILE" 
echo "# Erstellt: $ERSTELLT" 
echo "# Autor: Karl M. Weckler" 
echo "# OPT_HVAC: V. $HVAC_VERSION" 
echo "#----------------------------------------------------------------" 
echo "# Datum   Zeit   Gas(m³)  Kond.(L)  qA(%)   Cnt-Gas       Cnt-Kon" 
echo "#----------------------------------------------------------------" 
} > $LOGFILE
fi
ID1=1D.B9820E000000
DS2423_cnt ()
{
if [ -f "$OW_OWFS_PATH/$1/counters.$2" ]; then
cnt=`cat $OW_OWFS_PATH/$1/counters.$2`
cnt=$(echo "scale=$3; ($cnt + $5) / $4 " | bc )
echo "$cnt"
else
echo "n.n."
fi
}
c_gas=`DS2423_cnt $ID1 A 2 100 $HVAC_CNT_01`
c_kondensat=`DS2423_cnt $ID1 B 1 210 $HVAC_CNT_02`
qA=$(echo "scale=1; 13.5-8.4375*$c_kondensat/$c_gas"|bc)
cA=`cat $OW_OWFS_PATH/$ID1/counters.A`
cB=`cat $OW_OWFS_PATH/$ID1/counters.B`
echo "$DATUM  $ZEIT  $c_gas  $c_kondensat  $qA  $cA  $cB">> $LOGFILE